| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
Gaudi::RootPerfMonSvc Class Reference

Description: More...

`#include <src/RootPerfMonSvc.h>`

Inheritance diagram for Gaudi::RootPerfMonSvc:
[legend]
Collaboration diagram for Gaudi::RootPerfMonSvc:
[legend]

## Public Member Functions
| RootPerfMonSvc (const std::string &name, ISvcLocator *svc)
| Standard constructor. More...
| ~RootPerfMonSvc () override=default
| Standard destructor. More...
StatusCode | error (const std::string &msg)
| Standard way to print errors. More...
StatusCode | initialize () override
| Service overload: initialize the service. More...
StatusCode | finalize () override
| Service overload: Finalize the service. More...
void | handle (const Incident &incident) override
| IIncidentListener override: Inform that a new incident has occurred. More...
StatusCode | stop () override
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
StatusCode | setProperty (const Property &p) override
StatusCode | setProperty (const std::string &s) override
StatusCode | setProperty (const std::string &n, const std::string &v) override
StatusCode | getProperty (Property *p) const override
const Property & | getProperty (const std::string &name) const override
StatusCode | getProperty (const std::string &n, std::string &v) const override
const std::vector< Property * > & | getProperties () const override
bool | hasProperty (const std::string &name) const override
template<class TYPE >
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
Property * | declareProperty (const std::string &name, T &property, const std::string &doc="none") const
| Declare the named property. More...
Property * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="") const
| Declare remote named properties. More...
template<class T >
StatusCode | declarePrivateTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Private tool. More...
template<class T >
StatusCode | declarePublicTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Public tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from IIncidentListener
| DeclareInterfaceID (IIncidentListener, 2, 0)
| InterfaceID. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Protected Types
enum | EventType { EVENT = 1, FSR = 2 }

## Protected Member Functions
virtual void | record (EventType eventType)
MsgStream & | log () const
| Helper: Use message streamer. More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...

## Protected Attributes
SmartIF< IIncidentSvc > | m_incidentSvc
| Reference to incident service. More...
std::string | m_ioPerfStats
| Property: Enable TTree IOperfStats if not empty; otherwise perf stat file name. More...
std::unique_ptr< MsgStream > | m_log
| Message streamer. More...
std::string | m_setStreams
std::string | m_basketSize
std::string | m_bufferSize
std::string | m_splitLevel
TTree * | m_perfTree
std::unique_ptr< TFile > | m_perfFile
std::set< std::string > | m_outputs
Int_t | m_eventType
ULong_t | m_utime
ULong_t | m_stime
ULong_t | m_vsize
Long_t | m_eventNumber
Long_t | m_rss
Long_t | m_time
Protected Attributes inherited from Service
IntegerProperty | m_outputLevel = MSG::NIL
| Service output level. More...
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...

## Additional Inherited Members
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Description:

RootPerfMonSvc class implementation definition.

Author
  Markus Frank, Ivan Valencik

Version
  1.0

Date
  20/12/2009

Definition at line 41 of file RootPerfMonSvc.h.

## Member Enumeration Documentation

enum Gaudi::RootPerfMonSvc::EventType
| protected

Enumerator
EVENT |
FSR |

Definition at line 67 of file RootPerfMonSvc.h.

67 { EVENT = 1, FSR = 2 };
Gaudi::RootPerfMonSvc::EVENT
Definition: RootPerfMonSvc.h:67
Gaudi::RootPerfMonSvc::FSR
Definition: RootPerfMonSvc.h:67

## Constructor & Destructor Documentation

RootPerfMonSvc::RootPerfMonSvc | ( | const std::string & | name,
|  | ISvcLocator * | svc
| ) |  |

Standard constructor.

Definition at line 33 of file RootPerfMonSvc.cpp.

34 : Service( nam, svc)
35 {
36 declareProperty("IOPerfStats", m_ioPerfStats);
37 declareProperty("Streams", m_setStreams);
38 declareProperty("BasketSize", m_basketSize);
39 declareProperty("BufferSize", m_bufferSize);
40 declareProperty("SplitLevel", m_splitLevel);
41 }
Gaudi::RootPerfMonSvc::m_ioPerfStats
std::string m_ioPerfStats
Property: Enable TTree IOperfStats if not empty; otherwise perf stat file name.
Definition: RootPerfMonSvc.h:47
Gaudi::RootPerfMonSvc::m_splitLevel
std::string m_splitLevel
Definition: RootPerfMonSvc.h:54
Gaudi::RootPerfMonSvc::m_setStreams
std::string m_setStreams
Definition: RootPerfMonSvc.h:51
Gaudi::RootPerfMonSvc::m_bufferSize
std::string m_bufferSize
Definition: RootPerfMonSvc.h:53
Gaudi::RootPerfMonSvc::m_basketSize
std::string m_basketSize
Definition: RootPerfMonSvc.h:52
Service::Service
Service(std::string name, ISvcLocator *svcloc)
Standard Constructor.
Definition: Service.cpp:386
Service::declareProperty
Property * declareProperty(const std::string &name, T &property, const std::string &doc="none") const
Declare the named property.
Definition: Service.h:215

Gaudi::RootPerfMonSvc::~RootPerfMonSvc | ( |  | ) |
| override default

Standard destructor.

## Member Function Documentation

StatusCode RootPerfMonSvc::error | ( | const std::string & | msg | ) |

Standard way to print errors.

after the printout an exception is thrown.

Parameters

  msg | [IN] Message string to be printed.

Returns
  Status code returning failure.

Definition at line 44 of file RootPerfMonSvc.cpp.

44 {
45 if ( m_log ) {
46 log() << MSG::ERROR << "Error: " << msg << endmsg;
47 return S_FAIL;
48 }
49 MsgStream m(msgSvc(),name());
50 m << MSG::ERROR << "Error: " << msg << endmsg;
51 return S_FAIL;
52 }
MsgStream
Definition of the MsgStream class used to transmit messages.
Definition: MsgStream.h:24
S_FAIL
#define S_FAIL
Definition: RootPerfMonSvc.cpp:30
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:319
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
Gaudi::RootPerfMonSvc::log
MsgStream & log() const
Helper: Use message streamer.
Definition: RootPerfMonSvc.h:73
CommonMessagingBase::msgSvc
SmartIF< IMessageSvc > & msgSvc() const
The standard message service.
Definition: CommonMessaging.h:73
MSG::ERROR
Definition: IMessageSvc.h:21
Gaudi::RootPerfMonSvc::m_log
std::unique_ptr< MsgStream > m_log
Message streamer.
Definition: RootPerfMonSvc.h:49
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

StatusCode RootPerfMonSvc::finalize | ( |  | ) |
| override

Service overload: Finalize the service.

Definition at line 148 of file RootPerfMonSvc.cpp.

148 {
149 record(FSR);
150 log() << MSG::INFO;
151 m_log.reset();
152 m_incidentSvc.reset();
153
154 m_perfFile->Write();
155 m_perfFile->Close();
156 m_perfFile.reset();
157
158 return Service::finalize();
159 }
Service::finalize
StatusCode finalize() override
Definition: Service.cpp:193
Gaudi::RootPerfMonSvc::m_perfFile
std::unique_ptr< TFile > m_perfFile
Definition: RootPerfMonSvc.h:58
Gaudi::RootPerfMonSvc::record
virtual void record(EventType eventType)
Definition: RootPerfMonSvc.cpp:106
Gaudi::RootPerfMonSvc::m_incidentSvc
SmartIF< IIncidentSvc > m_incidentSvc
Reference to incident service.
Definition: RootPerfMonSvc.h:45
std::unique_ptr::reset
T reset(T...args)
Gaudi::RootPerfMonSvc::log
MsgStream & log() const
Helper: Use message streamer.
Definition: RootPerfMonSvc.h:73
Gaudi::RootPerfMonSvc::FSR
Definition: RootPerfMonSvc.h:67
SmartIF::reset
void reset(TYPE *ptr=nullptr)
Set the internal pointer to the passed one disposing of the old one.
Definition: SmartIF.h:88
MSG::INFO
Definition: IMessageSvc.h:19
Gaudi::RootPerfMonSvc::m_log
std::unique_ptr< MsgStream > m_log
Message streamer.
Definition: RootPerfMonSvc.h:49

void RootPerfMonSvc::handle | ( | const Incident & | incident | ) |
| override virtual

IIncidentListener override: Inform that a new incident has occurred.

Implements IIncidentListener.

Definition at line 117 of file RootPerfMonSvc.cpp.

117 {
118 std::string t = incident.type();
119 if ( !t.compare(IncidentType::BeginEvent) ) {
120 m_eventNumber++;
121 record(EVENT);
122 return;
123 }
124 if ( !t.compare("CONNECTED_OUTPUT") ) {
125 m_outputs.insert(incident.source());
126 }
127 }
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:41
Gaudi::RootPerfMonSvc::m_eventNumber
Long_t m_eventNumber
Definition: RootPerfMonSvc.h:64
Incident::source
const std::string & source() const
Access to the source of the incident.
Definition: Incident.h:47
Gaudi::RootPerfMonSvc::record
virtual void record(EventType eventType)
Definition: RootPerfMonSvc.cpp:106
std::string
STL class.
std::set::insert
T insert(T...args)
Gaudi::RootPerfMonSvc::EVENT
Definition: RootPerfMonSvc.h:67
Gaudi::RootPerfMonSvc::m_outputs
std::set< std::string > m_outputs
Definition: RootPerfMonSvc.h:60
std::string::compare
T compare(T...args)

StatusCode RootPerfMonSvc::initialize | ( |  | ) |
| override

Service overload: initialize the service.

Definition at line 55 of file RootPerfMonSvc.cpp.

55 {
56 string cname;
57 StatusCode status = Service::initialize();
58 if ( !status.isSuccess() )
59 return error("Failed to initialize Service base class.");
60 m_log.reset( new MsgStream(msgSvc(),name()) );
61 m_incidentSvc = service("IncidentSvc");
62 if( !m_incidentSvc )
63 return error("Unable to localize interface from service:IncidentSvc");
64
65 m_incidentSvc->addListener(this, IncidentType::BeginEvent, 1, false, false);
66 m_incidentSvc->addListener(this, "NEW_STREAM", 1, false, false);
67 m_incidentSvc->addListener(this, "CONNECTED_OUTPUT", 1, false, false);
68
69 if (m_ioPerfStats.empty())
70 return error("Performance monitoring file IOPerfStats was not defined.");
71
72 TDirectory::TContext ctxt(nullptr);
73 m_perfFile.reset( new TFile(m_ioPerfStats.c_str(),"RECREATE") );
74 if (!m_perfFile ) return error("Could not create ROOT file.");
75
76 if (!(m_perfTree = new TTree("T", "performance measurement")))
77 return error("Could not create tree.");
78
79 m_perfTree->Branch("utime", &m_utime, "utime/l");
80 m_perfTree->Branch("stime", &m_stime, "stime/l");
81 m_perfTree->Branch("vsize", &m_vsize, "vsize/l");
82 m_perfTree->Branch("rss", &m_rss, "rss/L");
83 m_perfTree->Branch("time", &m_time, "time/L");
84 m_eventNumber = 0;
85 m_perfTree->Branch("event_number", &m_eventNumber, "event_number/L");
86 m_perfTree->Branch("event_type", &m_eventType, "event_type/I");
87
88 if (m_setStreams.empty())
89 m_setStreams = "undefined";
90 if (m_basketSize.empty())
91 m_basketSize = "undefined";
92 if (m_bufferSize.empty())
93 m_bufferSize = "undefined";
94 if (m_splitLevel.empty())
95 m_splitLevel = "undefined";
96
97 auto map = new TMap();
98 map->Add(new TObjString("streams"), new TObjString(m_setStreams.c_str()));
99 map->Add(new TObjString("basket_size"), new TObjString(m_basketSize.c_str()));
100 map->Add(new TObjString("buffer_size"), new TObjString(m_bufferSize.c_str()));
101 map->Add(new TObjString("split_level"), new TObjString(m_splitLevel.c_str()));
102 map->Write("params", TObject::kSingleKey);
103 return S_OK;
104 }
MsgStream
Definition of the MsgStream class used to transmit messages.
Definition: MsgStream.h:24
Service::initialize
StatusCode initialize() override
Definition: Service.cpp:68
std::string::empty
T empty(T...args)
Gaudi::RootPerfMonSvc::m_eventType
Int_t m_eventType
Definition: RootPerfMonSvc.h:62
Gaudi::RootPerfMonSvc::m_time
Long_t m_time
Definition: RootPerfMonSvc.h:64
Gaudi::RootPerfMonSvc::m_eventNumber
Long_t m_eventNumber
Definition: RootPerfMonSvc.h:64
Gaudi::RootPerfMonSvc::m_stime
ULong_t m_stime
Definition: RootPerfMonSvc.h:63
Gaudi::RootPerfMonSvc::m_perfFile
std::unique_ptr< TFile > m_perfFile
Definition: RootPerfMonSvc.h:58
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:76
S_OK
#define S_OK
Definition: RootPerfMonSvc.cpp:29
Gaudi::RootPerfMonSvc::m_ioPerfStats
std::string m_ioPerfStats
Property: Enable TTree IOperfStats if not empty; otherwise perf stat file name.
Definition: RootPerfMonSvc.h:47
Gaudi::RootPerfMonSvc::m_vsize
ULong_t m_vsize
Definition: RootPerfMonSvc.h:63
std::map
STL class.
Gaudi::RootPerfMonSvc::m_incidentSvc
SmartIF< IIncidentSvc > m_incidentSvc
Reference to incident service.
Definition: RootPerfMonSvc.h:45
Gaudi::RootPerfMonSvc::m_utime
ULong_t m_utime
Definition: RootPerfMonSvc.h:63
Service::name
const std::string & name() const override
Retrieve name of the service.
Definition: Service.cpp:319
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:118
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
Gaudi::RootPerfMonSvc::m_splitLevel
std::string m_splitLevel
Definition: RootPerfMonSvc.h:54
Gaudi::RootPerfMonSvc::m_setStreams
std::string m_setStreams
Definition: RootPerfMonSvc.h:51
std::unique_ptr::reset
T reset(T...args)
Gaudi::RootPerfMonSvc::m_bufferSize
std::string m_bufferSize
Definition: RootPerfMonSvc.h:53
Gaudi::RootPerfMonSvc::m_perfTree
TTree * m_perfTree
Definition: RootPerfMonSvc.h:56
Gaudi::RootPerfMonSvc::m_basketSize
std::string m_basketSize
Definition: RootPerfMonSvc.h:52
std::string::c_str
T c_str(T...args)
Gaudi::RootPerfMonSvc::m_rss
Long_t m_rss
Definition: RootPerfMonSvc.h:64
IIncidentSvc::addListener
virtual void addListener(IIncidentListener *lis, const std::string &type="", long priority=0, bool rethrow=false, bool singleShot=false)=0
Add listener.
CommonMessagingBase::msgSvc
SmartIF< IMessageSvc > & msgSvc() const
The standard message service.
Definition: CommonMessaging.h:73
Service::service
StatusCode service(const std::string &name, const T *&psvc, bool createIf=true) const
Access a service by name, creating it if it doesn't already exist.
Definition: Service.h:144
Gaudi::RootPerfMonSvc::m_log
std::unique_ptr< MsgStream > m_log
Message streamer.
Definition: RootPerfMonSvc.h:49

MsgStream& Gaudi::RootPerfMonSvc::log | ( |  | ) | const
| inline protected

Helper: Use message streamer.

Definition at line 73 of file RootPerfMonSvc.h.

73 { return *m_log; }
Gaudi::RootPerfMonSvc::m_log
std::unique_ptr< MsgStream > m_log
Message streamer.
Definition: RootPerfMonSvc.h:49

void RootPerfMonSvc::record | ( | EventType | eventType | ) |
| protected virtual

Definition at line 106 of file RootPerfMonSvc.cpp.

106 {
107 SysProcStat data;
108 m_eventType = eventType;
109 m_utime = (ULong_t)data.utime;
110 m_stime = (ULong_t)data.stime;
111 m_vsize = (ULong_t)data.vsize;
112 m_rss = (Long_t)data.rss;
113 m_time = (Long_t)data.time;
114 m_perfTree->Fill();
115 }
Gaudi::SysProcStat::stime
long unsigned stime
Definition: SysProcStat.h:17
Gaudi::RootPerfMonSvc::m_eventType
Int_t m_eventType
Definition: RootPerfMonSvc.h:62
Gaudi::RootPerfMonSvc::m_time
Long_t m_time
Definition: RootPerfMonSvc.h:64
Gaudi::RootPerfMonSvc::m_stime
ULong_t m_stime
Definition: RootPerfMonSvc.h:63
Gaudi::RootPerfMonSvc::m_vsize
ULong_t m_vsize
Definition: RootPerfMonSvc.h:63
Gaudi::RootPerfMonSvc::m_utime
ULong_t m_utime
Definition: RootPerfMonSvc.h:63
Gaudi::SysProcStat::vsize
long unsigned vsize
Definition: SysProcStat.h:17
Gaudi::SysProcStat::time
long time
Definition: SysProcStat.h:23
Gaudi::RootPerfMonSvc::m_perfTree
TTree * m_perfTree
Definition: RootPerfMonSvc.h:56
Gaudi::SysProcStat::utime
long unsigned utime
Definition: SysProcStat.h:17
Gaudi::RootPerfMonSvc::m_rss
Long_t m_rss
Definition: RootPerfMonSvc.h:64
Gaudi::SysProcStat::rss
long int rss
Definition: SysProcStat.h:20
Gaudi::SysProcStat
Definition: SysProcStat.h:12

StatusCode RootPerfMonSvc::stop | ( |  | ) |
| override

Definition at line 130 of file RootPerfMonSvc.cpp.

130 {
131 char text[64];
132 record(FSR);
133 auto map = new TMap();
134 for(const auto &i : m_outputs) {
135 const char* fn = i.c_str();
136 Long_t id, siz, flags, tim;
137 if ( 0 == gSystem->GetPathInfo(fn,&id,&siz,&flags,&tim) ) {
138 ::sprintf(text,"%ld",siz);
139 map->Add(new TObjString(fn), new TObjString(text));
140 }
141 }
142 TDirectory::TContext ctxt(m_perfFile.get());
143 map->Write("Outputs", TObject::kSingleKey);
144 return S_OK;
145 }
Gaudi::RootPerfMonSvc::m_perfFile
std::unique_ptr< TFile > m_perfFile
Definition: RootPerfMonSvc.h:58
Gaudi::RootPerfMonSvc::record
virtual void record(EventType eventType)
Definition: RootPerfMonSvc.cpp:106
S_OK
#define S_OK
Definition: RootPerfMonSvc.cpp:29
std::map
STL class.
std::unique_ptr::get
T get(T...args)
Gaudi::RootPerfMonSvc::FSR
Definition: RootPerfMonSvc.h:67
Gaudi::RootPerfMonSvc::m_outputs
std::set< std::string > m_outputs
Definition: RootPerfMonSvc.h:60
ana.i
list i
Definition: ana.py:128

## Member Data Documentation

std::string Gaudi::RootPerfMonSvc::m_basketSize
| protected

Definition at line 52 of file RootPerfMonSvc.h.

std::string Gaudi::RootPerfMonSvc::m_bufferSize
| protected

Definition at line 53 of file RootPerfMonSvc.h.

Long_t Gaudi::RootPerfMonSvc::m_eventNumber
| protected

Definition at line 64 of file RootPerfMonSvc.h.

Int_t Gaudi::RootPerfMonSvc::m_eventType
| protected

Definition at line 62 of file RootPerfMonSvc.h.

SmartIF<IIncidentSvc> Gaudi::RootPerfMonSvc::m_incidentSvc
| protected

Reference to incident service.

Definition at line 45 of file RootPerfMonSvc.h.

std::string Gaudi::RootPerfMonSvc::m_ioPerfStats
| protected

Property: Enable TTree IOperfStats if not empty; otherwise perf stat file name.

Definition at line 47 of file RootPerfMonSvc.h.

std::unique_ptr<MsgStream> Gaudi::RootPerfMonSvc::m_log
| protected

Message streamer.

Definition at line 49 of file RootPerfMonSvc.h.

std::set<std::string> Gaudi::RootPerfMonSvc::m_outputs
| protected

Definition at line 60 of file RootPerfMonSvc.h.

std::unique_ptr<TFile> Gaudi::RootPerfMonSvc::m_perfFile
| protected

Definition at line 58 of file RootPerfMonSvc.h.

TTree* Gaudi::RootPerfMonSvc::m_perfTree
| protected

Definition at line 56 of file RootPerfMonSvc.h.

Long_t Gaudi::RootPerfMonSvc::m_rss
| protected

Definition at line 64 of file RootPerfMonSvc.h.

std::string Gaudi::RootPerfMonSvc::m_setStreams
| protected

Definition at line 51 of file RootPerfMonSvc.h.

std::string Gaudi::RootPerfMonSvc::m_splitLevel
| protected

Definition at line 54 of file RootPerfMonSvc.h.

ULong_t Gaudi::RootPerfMonSvc::m_stime
| protected

Definition at line 63 of file RootPerfMonSvc.h.

Long_t Gaudi::RootPerfMonSvc::m_time
| protected

Definition at line 64 of file RootPerfMonSvc.h.

ULong_t Gaudi::RootPerfMonSvc::m_utime
| protected

Definition at line 63 of file RootPerfMonSvc.h.

ULong_t Gaudi::RootPerfMonSvc::m_vsize
| protected

Definition at line 63 of file RootPerfMonSvc.h.

The documentation for this class was generated from the following files:

- RootCnv/RootCnv/RootPerfMonSvc.h
- RootCnv/src/RootPerfMonSvc.cpp